package com.ruoyi.ems.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 区域对象属性对象 adm_area_attr
 * 
 * @author ruoyi
 * @date 2024-11-01
 */
public class AreaAttr
{
    /** 序号 */
    private Long id;

    /** 区域代码 */
    private String areaCode;

    /** 所有单位 */
    private String attrOrg;

    /** 管理单位 */
    private String mgrOrg;

    /** 负责人 */
    private String leader;

    /** 联系电话 */
    private String phone;

    /** 开通时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date openDate;

    /** 建筑面积（平方米 m²） */
    private Long floorArea;

    /** 使用面积（平方米 m²） */
    private Long usableArea;

    /** 楼层 */
    private Long floor;

    /** 经度 */
    private Long longitude;

    /** 纬度 */
    private Long latitude;

    /**
     * 标签名称
     */
    private String tagCodes;

    /**
     * 标签名称
     */
    private String tagNames;

    /**
     * 标签代码
     */
    private List<String> tagCodeList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaCode(String areaCode) 
    {
        this.areaCode = areaCode;
    }

    public String getAreaCode() 
    {
        return areaCode;
    }
    public void setAttrOrg(String attrOrg) 
    {
        this.attrOrg = attrOrg;
    }

    public String getAttrOrg() 
    {
        return attrOrg;
    }
    public void setMgrOrg(String mgrOrg) 
    {
        this.mgrOrg = mgrOrg;
    }

    public String getMgrOrg() 
    {
        return mgrOrg;
    }
    public void setLeader(String leader) 
    {
        this.leader = leader;
    }

    public String getLeader() 
    {
        return leader;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setOpenDate(Date openDate) 
    {
        this.openDate = openDate;
    }

    public Date getOpenDate() 
    {
        return openDate;
    }
    public void setFloorArea(Long floorArea) 
    {
        this.floorArea = floorArea;
    }

    public Long getFloorArea() 
    {
        return floorArea;
    }
    public void setUsableArea(Long usableArea) 
    {
        this.usableArea = usableArea;
    }

    public Long getUsableArea() 
    {
        return usableArea;
    }
    public void setFloor(Long floor) 
    {
        this.floor = floor;
    }

    public Long getFloor() 
    {
        return floor;
    }
    public void setLongitude(Long longitude) 
    {
        this.longitude = longitude;
    }

    public Long getLongitude() 
    {
        return longitude;
    }
    public void setLatitude(Long latitude) 
    {
        this.latitude = latitude;
    }

    public Long getLatitude() 
    {
        return latitude;
    }

    public String getTagCodes() {
        return tagCodes;
    }

    public void setTagCodes(String tagCodes) {
        this.tagCodes = tagCodes;
    }

    public String getTagNames() {
        return tagNames;
    }

    public void setTagNames(String tagNames) {
        this.tagNames = tagNames;
    }

    public List<String> getTagCodeList() {
        return tagCodeList;
    }

    public void setTagCodeList(List<String> tagCodeList) {
        this.tagCodeList = tagCodeList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaCode", getAreaCode())
            .append("attrOrg", getAttrOrg())
            .append("mgrOrg", getMgrOrg())
            .append("leader", getLeader())
            .append("phone", getPhone())
            .append("openDate", getOpenDate())
            .append("floorArea", getFloorArea())
            .append("usableArea", getUsableArea())
            .append("floor", getFloor())
            .append("longitude", getLongitude())
            .append("latitude", getLatitude())
            .toString();
    }
}
